%define upstream_name    MooX-Struct
%define upstream_version 0.020

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Make simple lightweight record-like structures that make sounds like cows
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope)
BuildRequires: perl(Exporter::Tiny) >= 0.44.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Moo) >= 1.0.0
BuildRequires: perl(Object::ID)
BuildRequires: perl(Test::More) >= 0.610.0
BuildRequires: perl(Type::Tiny) >= 1.0.0
BuildRequires: perl(namespace::autoclean) >= 0.190.0
BuildArch:  noarch

%description
MooX::Struct allows you to create cheap struct-like classes for your data
using the Moo manpage.

While similar in spirit to the MooseX::Struct manpage and the Class::Struct
manpage, MooX::Struct has a somewhat different usage pattern. Rather than
providing you with a 'struct' keyword which can be used to define structs,
you define all the structs as part of the 'use' statement. This means they
happen at compile time.

A struct is just an "anonymous" Moo class. MooX::Struct creates this class
for you, and installs a lexical alias for it in your namespace. Thus your
module can create a "Point3D" struct, and some other module can too, and
they won't interfere with each other. All struct classes inherit from
MooX::Struct.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml NEWS README SIGNATURE examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20.0-3.mga10
+ Revision: 2209282
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.20.0-2.mga9
+ Revision: 1819681
- Mageia 9 Mass Rebuild

* Fri Feb 28 2020 tv <tv> 0.20.0-1.mga8
+ Revision: 1551963
- update to 0.020

* Wed Feb 12 2020 umeabot <umeabot> 0.17.0-3.mga8
+ Revision: 1505318
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.17.0-2.mga7
+ Revision: 1285018
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 shlomif <shlomif> 0.17.0-1.mga7
+ Revision: 1238932
- update to 0.017

* Tue Oct 03 2017 tv <tv> 0.16.0-2.mga7
+ Revision: 1165723
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.16.0-1.mga7
+ Revision: 1158203
- update to 0.016

* Sun Jun 19 2016 pterjan <pterjan> 0.13.0-3.mga6
+ Revision: 1030727
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.13.0-2.mga6
+ Revision: 965964
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.13.0-1.mga6
+ Revision: 839313
- update to 0.013

* Wed Oct 15 2014 umeabot <umeabot> 0.12.0-4.mga5
+ Revision: 741193
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.12.0-2.mga4
+ Revision: 527670
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.12.0-1.mga4
+ Revision: 441672
- update to 0.012

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 370088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.10.0-1.mga3
+ Revision: 342391
- update to 0.010

* Tue Nov 06 2012 jquelin <jquelin> 0.7.0-1.mga3
+ Revision: 315177
- update to 0.007

* Mon Oct 15 2012 jquelin <jquelin> 0.6.0-1.mga3
+ Revision: 306173
- update to 0.006

* Wed Oct 10 2012 jquelin <jquelin> 0.5.0-1.mga3
+ Revision: 304114
- imported package perl-MooX-Struct


* Wed Oct 10 2012 cpan2dist 0.005-1mga
- initial mageia release, generated with cpan2dist
